鸿 网 互 联 www.68idc.cn

当前位置 : 服务器租用 > 编程语言开发 > ruby > >

Ubuntu安装Ruby环境用于BDD(Cucumber)测试

来源:互联网 作者:佚名 时间:2012-12-23 12:45
我的Linux版本是:Ubuntu10.04 1、安装必须的包 为了确保以后使用Cucumber不会出错,要安装以下这些包 sudo apt-get install build-essential curl zlib1g-dev libreadline5- dev sudo apt-get install libssl-dev libxml2-dev libxslt-dev sqlite3 libsqlit

我的Linux版本是:Ubuntu10.04

 

1、安装必须的包

  为了确保以后使用Cucumber不会出错,香港服务器,要安装以下这些包

sudo apt-get install build-essential curl zlib1g-dev libreadline5-dev sudo apt-get install libssl-dev libxml2-dev libxslt-dev sqlite3 libsqlite3-dev

 

2、安装RVM

  推荐使用RVM (Ruby Version Manager) to install Ruby;To install and use RVM, you’ll first need to install Git

On Ubuntu you can install Git with:

sudo apt-get install git-core

   安装RVM

$ curl -L get.rvm.io | bash -s stable $ source ~/.bashrc $ source ~/.bash_profile

以上是Ruby中国论坛上的介绍的方法,网站空间香港空间,但我运行第1条命令后提示我运行下面的命令就可以了,因为Linux的版本不同、用户名不同可能命令也不一样,具体看提示了

source /home/ericlu/.rvm/scripts/rvm

 

3、ruby的安装与切换
  • 列出已知的ruby版本
  • rvm list known

  • 安装一个ruby版本
  • rvm install 1.9.3

    这里安装了最新的1.9.3, rvm list known列表里面的都可以拿来安装。

  • 使用一个ruby版本
  • rvm use 1.9.3

    如果想设置为默认版本,可以这样

    rvm use 1.9.3 --default

  • 查询已经安装的ruby
  • rvm list

  • 卸载一个已安装版本
  • rvm remove 1.9.2

     

    最后验证一下ruby -v ,gem -v都能够输出版本号。

     

    参考文档:

  • 网友评论
    <